LC_KEYRING_ADD(3)

NAME
lc_keyring_add, lc_keyring_del - add and remove keys to/from a keyring

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/key.h>

int lc_keyring_add(lc_keyring_t *keyring, uint8_t *key);
int lc_keyring_del(lc_keyring_t *keyring, uint8_t *key);

Compile and link with -llibrecast.

DESCRIPTION
lc_keyring_add() adds key to keyring.

lc_keyring_del() removes key from keyring.

keyring is a pointer to the keyring to manage.

key is a pointer to the key to add.

RETURN VALUE
These functions return 0 if the call succeeds, or -1 if an error occurred. In the event of an error, errno is set to indicate the error.

ERRORS
lc_keyring_add can fail with the following errors:

ENOMEM
    Not enough space to add key. Keyring is full.

lc_keyring_del can fail with the following errors:

ENOKEY
    The requested key could not be found.

SEE ALSO
lc_keyring_init(3), lc_keyring_free(3), lc_keyring_has(3), lc_channel_filter_set(3), lc_channel_new(3), lc_keypair_new(3),